org.jgrapht.alg.isomorphism

## Class VF2AbstractIsomorphismInspector<V,E>

- java.lang.Object
- - org.jgrapht.alg.isomorphism.VF2AbstractIsomorphismInspector<V,E>

- All Implemented Interfaces:
    IsomorphismInspector<V,E>
  Direct Known Subclasses:
    VF2GraphIsomorphismInspector, VF2SubgraphIsomorphismInspector

      public abstract class VF2AbstractIsomorphismInspector<V,E>
      extends Object
      implements IsomorphismInspector<V,E>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Comparator<E>` | `edgeComparator`
    `protected Graph<V,E>` | `graph1`
    `protected Graph<V,E>` | `graph2`
    `protected org.jgrapht.alg.isomorphism.GraphOrdering<V,E>` | `ordering1`
    `protected org.jgrapht.alg.isomorphism.GraphOrdering<V,E>` | `ordering2`
    `protected Comparator<V>` | `vertexComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VF2AbstractIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2)`
    `VF2AbstractIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2, boolean cacheEdges)`
    `VF2AbstractIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2, Comparator<V> vertexComparator, Comparator<E> edgeComparator)`
    `VF2AbstractIsomorphismInspector(Graph<V,E> graph1, Graph<V,E> graph2, Comparator<V> vertexComparator, Comparator<E> edgeComparator, boolean cacheEdges)` This implementation of the VF2 algorithm does not support graphs with multiple edges.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Iterator<GraphMapping<V,E>>` | `getMappings()`
    `boolean` | `isomorphismExists()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### graph1

          protected Graph<V,E> graph1

    - #### graph2

          protected Graph<V,E> graph2

    - #### vertexComparator

          protected Comparator<V> vertexComparator

    - #### edgeComparator

          protected Comparator<E> edgeComparator

    - #### ordering1

          protected org.jgrapht.alg.isomorphism.GraphOrdering<V,E> ordering1

    - #### ordering2

          protected org.jgrapht.alg.isomorphism.GraphOrdering<V,E> ordering2

  - ### Constructor Detail

    - #### VF2AbstractIsomorphismInspector

          public VF2AbstractIsomorphismInspector(Graph<V,E> graph1,
                                         Graph<V,E> graph2,
                                         Comparator<V> vertexComparator,
                                         Comparator<E> edgeComparator,
                                         boolean cacheEdges)

      This implementation of the VF2 algorithm does not support graphs with multiple edges.
      Parameters:
        `graph1` - the first graph
        `graph2` - the second graph
        `vertexComparator` - comparator for semantic equivalence of vertices
        `edgeComparator` - comparator for semantic equivalence of edges
        `cacheEdges` - if true, edges get cached for faster access

    - #### VF2AbstractIsomorphismInspector

          public VF2AbstractIsomorphismInspector(Graph<V,E> graph1,
                                         Graph<V,E> graph2,
                                         Comparator<V> vertexComparator,
                                         Comparator<E> edgeComparator)

    - #### VF2AbstractIsomorphismInspector

          public VF2AbstractIsomorphismInspector(Graph<V,E> graph1,
                                         Graph<V,E> graph2,
                                         boolean cacheEdges)

    - #### VF2AbstractIsomorphismInspector

          public VF2AbstractIsomorphismInspector(Graph<V,E> graph1,
                                         Graph<V,E> graph2)

  - ### Method Detail

    - #### getMappings

          public abstract Iterator<GraphMapping<V,E>> getMappings()

      Specified by:
        `getMappings` in interface `IsomorphismInspector<V,E>`

    - #### isomorphismExists

          public boolean isomorphismExists()

      Specified by:
        `isomorphismExists` in interface `IsomorphismInspector<V,E>`

Copyright © 2016. All rights reserved.